Name:          seafile-client
Version:       4.2.1
Release:       1mamba
Summary:       Seafile desktop client
Group:         Graphical Desktop/Applications/Archiving
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://seafile.com
## GITSOURCE https://github.com/haiwen/seafile-client.git v3.1.5
Source:        https://github.com/haiwen/seafile-client.git/v%{version}/seafile-client-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libccnet-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libjansson-devel
BuildRequires: libopenssl-devel
BuildRequires: libqt4-devel
BuildRequires: libseafile-devel
BuildRequires: libsearpc-devel
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      seafile
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Seafile desktop client.

%debug_package

%prep
%setup -q

%build
%cmake
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/seafile-applet
%{_datadir}/applications/seafile.desktop
%{_datadir}/icons/hicolor/*/apps/seafile.png
%{_datadir}/icons/hicolor/scalable/apps/seafile.svg
%{_datadir}/pixmaps/seafile.png
%doc LICENSE
#%doc README.md

%changelog
* Tue May 19 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.1-1mamba
- update to 4.2.1

* Fri Jan 02 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.12-1mamba
- update to 3.1.12

* Mon Dec 08 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.11-1mamba
- update to 3.1.11

* Wed Aug 27 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.5-1mamba
- package created using the webbuild interface
